{% extends "./plantilla.html" %}
{% load static %}

{% block title %}Product Admin - Productos{% endblock %}

{% block contenido %}
<div id="content">
  <div id="content-header">
    <div id="breadcrumb">
      <a href="#" title="Go to Home" class="tip-bottom"><i class="icon-home"></i> Home</a>
      <a href="#" class="current">Tables</a>
    </div>
   
  </div>
  <div class="container-fluid">
    <div class="row-fluid">
      <!-- Formulario -->
      <div class="span6">
        <div class="widget-box">
          <div class="widget-title">
            <span class="icon"><i class="icon-align-justify"></i></span>
            <h5>Formulario</h5>
          </div>
          <div class="widget-content nopadding">
            <form action="/guardarEquipo/" method="post" class="form-horizontal">
              {% csrf_token %}
              <div class="control-group">
                <label class="control-label">Nombre del Equipo:</label>
                <div class="controls">
                  <input id="nombre_equi" name="nombre_equi" type="text" name="nombre" class="span11" placeholder="Nombre del equipo" required />
                </div>
              </div>
              <div class="control-group">
                <label for="siglas_equi" class="control-label">Siglas del Equipo</label>
                <div class="controls">
                  <input id="siglas_equi" name="siglas_equi" type="text" class="span11" placeholder="Siglas del equipo" required>
                </div>
              </div>
              <div class="control-group">
                <label class="control-label" for="fundacion_equi">Fundación del Equipo:</label>
                <div class="controls">
                  <input id="fundacion_equi" name="fundacion_equi" type="number" name="precio" class="span11" placeholder="Año de fundacion" required />
                </div>
              </div>
              <div class="control-group">
                <label class="control-label" for="region_equi">Región del Equipo:</label>
                <div class="controls">
                  <input id="region_equi" name="region_equi" type="text" name="precio" class="span11" placeholder="Region del equipo" required />
                </div>
              </div>
              <div class="control-group">
                <label class="control-label" for="numero_titulos_equi">Número de Títulos:</label>
                <div class="controls">
                  <input id="numero_titulos_equi" name="numero_titulos_equi" type="number" name="precio" class="span11" placeholder="Números de títulos" required />
                </div>
              </div>
              <div class="form-actions">
                <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                  <a href="/" class="btn btn-danger ml-2">Cancelar</a>
              </div>
            </form>
          </div>
        </div>
      </div>

      <!-- Tabla -->
      <div class="span6">
        <div class="widget-box">
          <div class="widget-title">
            <span class="icon"><i class="icon-th"></i></span>
            <h5>Tabla de Equipos</h5>
          </div>
          <div class="widget-content nopadding">
            <table class="table table-hover tm-table-small tm-product-table">
              <thead>
                  <tr>
                      <th scope="col">Id</th>
                      <th scope="col">Nombre del Equipo</th>
                      <th scope="col">Siglas del Equipo</th>
                      <th scope="col">Fundación del Equipo</th>
                      <th scope="col">Región del Equipo</th>
                      <th scope="col">Número de Títulos</th>
                      <th scope="col">Acciones</th>
                  </tr>
              </thead>
              <tbody>
                  {% for equipo in equipos %}
                  <tr>
                      <td>{{ equipo.id_equi }}</td>
                      <td>{{ equipo.nombre_equi }}</td>
                      <td>{{ equipo.siglas_equi }}</td>
                      <td>{{ equipo.fundacion_equi }}</td>
                      <td>{{ equipo.region_equi }}</td>
                      <td>{{ equipo.numero_titulos_equi }}</td>
                      <td style="display: flex; justify-content: space-between;">
                        <a href="/editarEquipo/{{ equipo.id_equi }}" class="btn btn-warning btn-sm" data-toggle="modal" title="Editar" style="margin-right: 10px;">
                          <i class="icon-pencil" style="color: #FFD43B;"></i>
                        </a>
                        <a href="javascript:void(0)" onclick="eliminarEquipo('/eliminarEquipo/{{ equipo.id_equi }}');" class="btn btn-danger btn-sm" title="Eliminar">
                          <i class="icon-trash" style="color: #d41200;"></i>
                        </a>
                      </td>
                  </tr>
                  {% endfor %}
              </tbody>
          </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script type="text/javascript">
    function eliminarEquipo(url) {
        iziToast.question({
            timeout: 15000,
            close: true,
            overlay: true,
            displayMode: 'once',
            id: 'question',
            zindex: 999,
            title: 'CONFIRMACIÓN',
            message: '¿Está seguro de eliminar el destino seleccionado?',
            position: 'center',
            buttons: [
                ['<button><b>SI</b></button>', function (instance, toast) {
                    instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    window.location.href=url;
                }, true],
                ['<button>NO</button>', function (instance, toast) {
                    instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                }],
            ]
        });
    }
</script>
</div>
{% endblock %}
